Bug 23910 - CVE-2010-2240 kernel: mm: keep a guard page below a grow-down stack segment
: CVE-2010-2240 kernel: mm: keep a guard page below a grow-down stack segment
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-def)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: https://bugzilla.redhat.com/show_bug....
: security
:
:
  Show dependency tree
 
Reported: 2010-08-19 20:42 by
Modified: 2010-09-14 15:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


------- Comment #1 From 2010-08-29 15:32:12 -------
Apparently fixed in kernel-image-std-def-2.6.32-alt20.
------- Comment #2 From 2010-09-01 18:40:38 -------
А в бранчах будет?
------- Comment #3 From 2010-09-01 18:59:10 -------
в процессе тестирования для p5.
В месте с обновлением до 32.21 обновлением nvidia fglrx и прочего
------- Comment #4 From 2010-09-01 19:12:10 -------
Где взять на потестить? А то с nvidia-256.53 у меня KDE-4.5.0 хреновато
стартует. Возможно, с KDE-4.4.5 не воспроизведется, но проверить бы.
Или будет copy из Сизифа?
------- Comment #5 From 2010-09-01 20:10:54 -------
Да и публичное тестирование не помешало бы. Причем, сперва в 5.1
------- Comment #6 From 2010-09-01 20:13:04 -------
Угу, у меня на домашнем десктопе 5.1, nvidia и std-def.
------- Comment #7 From 2010-09-02 13:22:20 -------
(В ответ на комментарий №4)
> nvidia-256.53 у меня KDE-4.5.0 хреновато стартует
На 5.1 с 2.6.32-un-def-alt5 и kde-4.4.5 нормально.
nvidia-256.53 можно в бранчи
------- Comment #8 From 2010-09-02 14:53:24 -------
ftp://ftp.altlinux.ru/pub/people/silicium/std-21/ для тестирования
------- Comment #9 From 2010-09-04 22:37:11 -------
(In reply to comment #8)
> ftp://ftp.altlinux.ru/pub/people/silicium/std-21/ для тестирования
УМВР (http://freesource.info/wiki/MichaelShigorin/HomeBox, 5.1/branch i586)

Только i586/base стоило тоже засинкать, чуть удобней было бы update-kernel. :)
------- Comment #10 From 2010-09-06 19:17:19 -------
В p5 обновлено. mike переложи в 5.1
------- Comment #11 From 2010-09-14 15:41:37 -------
(В ответ на комментарий №10)
> mike переложи в 5.1
Вообще, это лучше сделать аналогично p5. Т.е. собрать мантейнеру.